## mesa 24.1.5

=== debian/changelog ===
mesa (24.1.5-1deepin2) unstable; urgency=medium

  * Fix a bad loop implementation in zx_print_driver_map_list().

 -- Mingcong Bai <baimingcong@uniontech.com>  Fri, 18 Oct 2024 17:48:47 +0800

mesa (24.1.5-1deepin1) unstable; urgency=medium

  * Add missing patches from previous branches.
  * Sync OrcJIT patches from AOSC-Tracking/mesa @ aosc/mesa-24.1.5.
  * Actually enable OrcJIT for loong64, riscv64
  * Disable Rust features as we are locked into an older version.

 -- Mingcong Bai <baimingcong@uniontech.com>  Fri, 02 Aug 2024 16:19:12 +0800

mesa (24.1.5-1) unstable; urgency=medium

  * New upstream release.
  * control, rules: Enable NVK, bump rustc build-dependency. (Closes:
    #1075858)
  * control: Add rustfmt to build-depends.
  * rules: Update clean target.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2024 10:16:13 +0300

mesa (24.1.3-2) unstable; urgency=medium

  [ Christopher Obbard ]
  * mesa-teflon-delegate: Fix library installation path

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 05 Jul 2024 15:53:39 +0300

mesa (24.1.3-1) unstable; urgency=medium

  [ Christopher Obbard ]
  * Package TensorFlow Lite delegate as libteflon (Closes: #1070788)

  [ Timo Aaltonen ]
  * New upstream release.
    - dri: Go back to hard-coded list of RGBA formats (Closes: #1072971)
  * mesa-common-dev.docs: Updated.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Jul 2024 12:49:04 +0300

mesa (24.1.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-deps on directx-headers-dev, libvdpau-dev,
    wayland-protocols.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Jun 2024 15:23:32 +0300

mesa (24.1.1-2) unstable; urgency=medium

  * rules, control: Revert back to llvm 17. (Closes: #1072941)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 19:59:35 +0300

mesa (24.1.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump build-depends on meson for rusticl.
  * rules, control: Bump llvm to 18. (Closes: #1072901)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Jun 2024 14:39:17 +0300

mesa (24.1.0-2) unstable; urgency=medium

  * Upload to unstable.
  * control: Add python3-pycparser to build-depends for armhf, arm64.
    (Closes: #1071222)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 31 May 2024 15:40:01 +0300

mesa (24.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 23 May 2024 13:08:02 +0300

mesa (24.1.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 10 May 2024 10:30:26 +0300

mesa (24.1.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 04 May 2024 19:00:30 +0300

mesa (24.1.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 25 Apr 2024 09:02:09 +0300

mesa (24.0.1-1deepin3) unstable; urgency=medium

  * Add radeon-fix-gnome-shell-crash.diff.

 -- xiangzelong <xiangzelong@deepin.org>  Fri, 12 Apr 2024 16:46:54 +0800

mesa (23.1.2-1deepin1) unstable; urgency=medium

  * add zx support .

 -- LiChengGang <lichenggang@uniontech.com>  Fri, 16 Jun 2023 16:47:02 +0800
