=== debian/rules ===
--- 
+++ 
@@ -13,29 +13,37 @@
 DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 # for finding the correct llvm-config when meson doesn't know about it yet
-LLVM_VERSION = 17
+LLVM_VERSION = 18
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
 
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
-#export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
-
-ifeq (,$(filter $(DEB_HOST_ARCH), armhf ppc64el sh3 sh4))
-buildflags = \
-	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall DEB_CXXFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
-else
-  ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+
+DEB_CFLAGS_MAINT_APPEND := -Wall
+DEB_CXXFLAGS_MAINT_APPEND := -Wall
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
   # Workaround for a variant of LP: #725126
-  buildflags = \
-	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" DEB_CXXFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" dpkg-buildflags --export=configure)
-  else
-    # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
-    buildflags = \
-	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -O1" DEB_CXXFLAGS_MAINT_APPEND="-Wall -O1" dpkg-buildflags --export=configure)
-  endif
+  DEB_CFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
+  DEB_CXXFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
+else ifneq (,$(filter $(DEB_HOST_ARCH), loong64))
+  # Workaround loong64 BFD linker crash related to TLSDESC
+  DEB_CFLAGS_MAINT_APPEND += -mtls-dialect=trad
+  DEB_CXXFLAGS_MAINT_APPEND += -mtls-dialect=trad
+else ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
+  # This library has huge jump tables: Debian #1067207
+  DEB_CFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
+  DEB_CXXFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
+else ifneq (,$(filter $(DEB_HOST_ARCH), sh4))
+  # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
+  DEB_CFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
+  DEB_CXXFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
 endif
+buildflags = $(shell \
+	DEB_CFLAGS_MAINT_APPEND='$(DEB_CFLAGS_MAINT_APPEND)' \
+	DEB_CXXFLAGS_MAINT_APPEND='$(DEB_CXXFLAGS_MAINT_APPEND)' \
+	dpkg-buildflags --export=configure)
 
 EGL_PLATFORMS = x11
-GALLIUM_DRIVERS = swrast
+GALLIUM_DRIVERS = softpipe
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
@@ -44,7 +52,9 @@
 confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
-LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 WINE_ARCHS     = amd64 arm64 armel armhf i386
 
@@ -105,25 +115,29 @@
   # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
   # It's also required for building OpenCL support.
   ifneq (,$(filter $(DEB_HOST_ARCH), $(LLVM_ARCHS)))
-	GALLIUM_DRIVERS += radeonsi zink
-
-	# Only enable amd on riscv64, swrast needs CPU JIT support which doesn't work properly yet
-	ifneq (,$(filter $(DEB_HOST_ARCH), riscv64))
-		VULKAN_DRIVERS += amd
-		confflags_GALLIUM += -Ddraw-use-llvm=false
+	GALLIUM_DRIVERS += radeonsi zink llvmpipe
+
+	# drop virtio from armel, it doesn't build
+	ifneq (,$(filter $(DEB_HOST_ARCH), armel))
+		VULKAN_DRIVERS += amd swrast
 	else
-	  # drop virtio from armel, it doesn't build
-	  ifneq (,$(filter $(DEB_HOST_ARCH), armel))
-		VULKAN_DRIVERS += amd swrast
-	  else
 		VULKAN_DRIVERS += amd swrast virtio
-	  endif
 	endif
 
 	VULKAN_LAYERS += device-select intel-nullhw overlay
 	confflags_GALLIUM += -Dllvm=enabled
 	confflags_GALLIUM += -Dgallium-opencl=icd
 
+	# Build rusticl for archs where rustc is available
+	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
+		confflags_GALLIUM += -Dgallium-rusticl=true
+	endif
+
+	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
+		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
+		VULKAN_DRIVERS += nouveau
+	endif
+
 	# nine makes sense only on archs that build wine
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(WINE_ARCHS)))
 		confflags_GALLIUM += -Dgallium-nine=true
@@ -140,11 +154,6 @@
   # Teflon only supports arm64
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
-  endif
-
-  # Enable OrcJIT for loong64, riscv64
-  ifneq (,$(filter $(DEB_HOST_ARCH), loong64 riscv64))
-	confflags_ORCJIT += -Dllvm-orcjit=true
   endif
 endif
 
@@ -173,7 +182,7 @@
 	-Dplatforms="[$(EGL_PLATFORMS_LIST)]" \
 	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
 	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
-	-Dglvnd=true \
+	-Dglvnd=enabled \
 	-Dshared-glapi=enabled \
 	-Dgallium-omx=disabled \
 	-Db_ndebug=true \
@@ -187,8 +196,7 @@
 	$(confflags_OSMESA) \
 	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
-	$(confflags_TEFLON) \
-	$(confflags_ORCJIT)
+	$(confflags_TEFLON)
 
 
 rewrite_wrap_files:
@@ -221,27 +229,9 @@
 override_dh_auto_configure: rewrite_wrap_files
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' > VERSION
 	$(buildflags) dh_auto_configure -- \
-		--wrap-mode=default \
 		$(confflags)
 
 override_dh_auto_install:
 	dh_auto_install
 	for file in debian/*.links.in; \
 	do \
-		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
-			$${file} > $${file%%.in}; \
-	done
-
-# some tests are expected to fail for now, drop this when upstream has
-# better cross-build testing in place and expected failures fixed
-override_dh_auto_test:
-	-dh_auto_test
-
-allpkg = $(shell dh_listpackages -a)
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a
-	dh_installchangelogs -pmesa-common-dev
-
-override_dh_install:
-	# purge .la files
