## mesa 24.2.3

=== debian/changelog ===
mesa (24.2.3-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 23 Sep 2024 12:52:50 +0300

mesa (24.2.3-1) unstable; urgency=medium

  * New upstream release.
  * patches: Fix build on armel/armhf with llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Sep 2024 21:57:00 +0300

mesa (24.2.2-1+exp1) experimental; urgency=medium

  * rules: Migrate to llvm-19.
  * clc-find-opencl-headers.diff: Fix finding the opencl headers with
    llvm-19.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 17 Sep 2024 14:43:27 +0300

mesa (24.2.2-1ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * patches: Dropped, upstream or obsolete.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 06 Sep 2024 07:21:50 +0300

mesa (24.2.1-4ubuntu1) oracular; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 17:42:51 +0300

mesa (24.2.1-2ubuntu2) oracular; urgency=medium

  * patches: Fix regressions in swrast.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Sep 2024 11:17:29 +0300

mesa (24.2.1-2ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * rules: Revert enabling softpipe everywhere.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 29 Aug 2024 10:20:53 +0300

mesa (24.2.0-2ubuntu3) oracular; urgency=medium

  * patches: Revert a commit to attempt to fix zink regressions.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Aug 2024 13:19:36 +0300

mesa (24.2.0-2ubuntu2) oracular; urgency=medium

  * rules: Enable softpipe again to see if it fixes some autopkgtests.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 18 Aug 2024 11:45:10 +0300

mesa (24.2.0-2ubuntu1) oracular; urgency=medium

  * Merge from experimental. (LP: #2075549)
  * patches: Enable LNL pci-id's.
  * patches: Enable BMG pci-id's.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Aug 2024 13:16:03 +0300

mesa (24.1.5-3ubuntu1) oracular; urgency=medium

  * Merge from Debian.
  * rules: Drop i386 from NVK_ARCHS.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 06 Aug 2024 09:58:45 +0300

mesa (24.1.5-2ubuntu1) oracular; urgency=medium

  * Merge from Debian, remaining changes
    - control: Add C/R/P for amber
    - rules: Drop i386 from rusticl archs
  * add-arl-platform.diff: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 02 Aug 2024 12:58:43 +0300
